@echo off

echo -- CONVERTING CURSOR SPRITES --
rem ****** Note that cursor PICs will be too big (512 bytes instead of 128 bytes), 
rem ****** but this doesn't really matter as only the first 128 bytes are read and
rem ****** included by gfx_data.inc :-)

rem ****** No palette, cursor_arrow uses a special palette based on v1.0X (CLR file)
gfx2snes -gs8 -mR! -p! -pc16 -fbmp -n cursor_arrow.bmp

rem ****** No palette, cursor_simba uses the same palette as logo_simba
gfx2snes -gs8 -mR! -p! -pc16 -fbmp -n cursor_simba.bmp

rem ****** No palette, cursor_reddot uses the same palette as logo_sfcdots
gfx2snes -gs8 -mR! -p! -pc16 -fbmp -n cursor_reddot.bmp

echo -- CONVERTING LOGO SPRITES --

rem ****** Old command line for neviksti's tool:
rem ****** pcx2snes %filename% -n -s8 -c16 -o16
rem ****** Note that Simba is actually 8 colors, rest is filled up with $DC18 (red)

gfx2snes -gs8 -mR! -pc16 -po16 -fpcx -n logo_powerpak.pcx
gfx2snes -gs8 -mR! -pc16 -po16 -fpcx -n logo_simba.pcx
gfx2snes -gs8 -mR! -pc16 -po16 -fpcx -n logo_sfcdots.pcx

echo -- CONVERTING FONTS --

rem ****** No palettes, font palettes are defined in gfx_data.inc
gfx2snes -gs8 -mR! -p! -pc4 -fbmp -n font_2bpp.bmp
gfx2snes -gs8 -mR! -p! -pc16 -fbmp -n font_4bpp.bmp

echo -- CONVERTING MISC GRAPHICS --

rem ****** No palette, music notes use the same special palette as cursor_arrow
gfx2snes -gs8 -mR! -p! -pc16 -fbmp -n music_notes.bmp

echo -- FINISHED! --
pause
